### Function

# Gimp param_spec_config_path

since: 2.4

#### Declaration [src]

    GParamSpec*
    gimp_param_spec_config_path (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      GimpConfigPathType type,
      const gchar* default_value,
      GParamFlags flags
    )

#### Description [src]

Creates a param spec to hold a filename, dir name, or list of file or dir names. See `g_param_spec_internal()` for more information.

Available since: 2.4

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the param.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nickname of the param.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Brief description of param.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`type`

  Type: `GimpConfigPathType`

  A `GimpConfigPathType` value.

`default_value`

  Type: `const gchar*`

  Value to use if none is assigned.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GParamFlags`

  A combination of `GParamFlags`.

#### Return value

Type: `GParamSpec`

A newly allocated `GParamSpec` instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.